I'm getting this error on my 10.04 machine in Update Manager and every search I've come up with doesn't fix it. I've spent 4 hours fighting with Ubuntu to try to fix this, any ideas?

An unresolvable problem occurred while calculating the upgrade.


Please report this bug against the 'update-manager' package and include the following error message:
'E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.'